wlan-decoder-java 1.0

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
fr.bmartel.protocol.wlan.IWlanMcs Interface Reference
Inheritance diagram for fr.bmartel.protocol.wlan.IWlanMcs:
[legend]

## Public Member Functions
byte | getMcsIndex ()
byte | getSpatialStreams ()
String | getModulation ()
double | getdataRate_CHANNEL_20MHZ_GI_800NS ()
double | getdataRate_CHANNEL_20MHZ_GI_400NS ()
double | getdataRate_CHANNEL_40MHZ_GI_800NS ()
double | getdataRate_CHANNEL_40MHZ_GI_400NS ()

## Detailed Description

Define MCS object in MCS index table

Author
  Bertrand Martel

## Member Function Documentation

double fr.bmartel.protocol.wlan.IWlanMcs.getdataRate_CHANNEL_20MHZ_GI_400NS | ( | ) |  |

retrieve data rate for Channel 20 MHz & 400ns guard interval

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

double fr.bmartel.protocol.wlan.IWlanMcs.getdataRate_CHANNEL_20MHZ_GI_800NS | ( | ) |  |

retrieve data rate for Channel 20 MHz & 800ns guard interval

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

double fr.bmartel.protocol.wlan.IWlanMcs.getdataRate_CHANNEL_40MHZ_GI_400NS | ( | ) |  |

retrieve data rate for Channel 40 MHz & 400ns guard interval

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

double fr.bmartel.protocol.wlan.IWlanMcs.getdataRate_CHANNEL_40MHZ_GI_800NS | ( | ) |  |

retrieve data rate for Channel 40 MHz & 800ns guard interval

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

byte fr.bmartel.protocol.wlan.IWlanMcs.getMcsIndex | ( | ) |  |

retrieve MCS index in mcs table

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

String fr.bmartel.protocol.wlan.IWlanMcs.getModulation | ( | ) |  |

retrieve modulation type

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

byte fr.bmartel.protocol.wlan.IWlanMcs.getSpatialStreams | ( | ) |  |

retrieve spatial streams number

Returns

Implemented in fr.bmartel.protocol.wlan.WlanMcs.

The documentation for this interface was generated from the following file:

- /home/abathur/Bureau/wlandecoder/wlandecoder/src/fr/bmartel/protocol/wlan/IWlanMcs.java